# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_HArray1OfPresentationStyleAssignment Class Reference

`#include <StepVisual_HArray1OfPresentationStyleAssignment.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_HArray1OfPresentationStyleAssignment (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_HArray1OfPresentationStyleAssignment (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepVisual_PresentationStyleAssignment)&V)
Standard_EXPORT void | Init (const Handle(StepVisual_PresentationStyleAssignment)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepVisual_PresentationStyleAssignment)&Value)
const Handle_StepVisual_PresentationStyleAssignment & | Value (const Standard_Integer Index) const
Handle_StepVisual_PresentationStyleAssignment & | ChangeValue (const Standard_Integer Index)
const StepVisual_Array1OfPresentationStyleAssignment & | Array1 () const
StepVisual_Array1OfPresentationStyleAssignment & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepVisual_Array1OfPresentationStyleAssignment | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_HArray1OfPresentationStyleAssignment::StepVisual_HArray1OfPresentationStyleAssignment | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_HArray1OfPresentationStyleAssignment::StepVisual_HArray1OfPresentationStyleAssignment | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepVisual_PresentationStyleAssignment)& | V
| ) |

## Member Function Documentation

const StepVisual_Array1OfPresentationStyleAssignment& StepVisual_HArray1OfPresentationStyleAssignment::Array1 | ( |  | ) | const

StepVisual_Array1OfPresentationStyleAssignment& StepVisual_HArray1OfPresentationStyleAssignment::ChangeArray1 | ( |  | ) |

Handle_StepVisual_PresentationStyleAssignment& StepVisual_HArray1OfPresentationStyleAssignment::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepVisual_HArray1OfPresentationStyleAssignment::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepVisual_HArray1OfPresentationStyleAssignment::Init | ( | const Handle(StepVisual_PresentationStyleAssignment)& | V | ) |

Standard_Integer StepVisual_HArray1OfPresentationStyleAssignment::Length | ( |  | ) | const

Standard_Integer StepVisual_HArray1OfPresentationStyleAssignment::Lower | ( |  | ) | const

void StepVisual_HArray1OfPresentationStyleAssignment::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepVisual_PresentationStyleAssignment)& | Value
| ) |

Standard_Integer StepVisual_HArray1OfPresentationStyleAssignment::Upper | ( |  | ) | const

const Handle_StepVisual_PresentationStyleAssignment& StepVisual_HArray1OfPresentationStyleAssignment::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepVisual_Array1OfPresentationStyleAssignment StepVisual_HArray1OfPresentationStyleAssignment::myArray `[private]`

The documentation for this class was generated from the following file:

- StepVisual_HArray1OfPresentationStyleAssignment.hxx